Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::sphere_sensor_node Class Reference

Inheritance diagram for openvrml::vrml97_node::sphere_sensor_node:

[legend]
List of all members.

## Detailed Description

SphereSensor node instances.

## Public Member Functions

| sphere_sensor_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~sphere_sensor_node () throw ()
| Destroy.
virtual sphere_sensor_node * | to_sphere_sensor () const
| Cast to a sphere_sensor_node.
void | activate (double timeStamp, bool isActive, double *p)
| Activate or deactivate the sphere_sensor_node.
bool | isEnabled () const throw ()
| Determine whether the SphereSensor is enabled.

## Private Member Functions

virtual void | do_render_child (openvrml::viewer &viewer, rendering_context context)
| Render the node.

## Private Attributes

exposedfield< sfbool > | auto_offset_
| autoOffset exposedField.
exposedfield< sfbool > | enabled_
| enabled exposedField.
exposedfield< sfrotation > | offset_
| offset exposedField.
sfbool | is_active_
| isActive eventOut value.
sfbool_emitter | is_active_emitter_
| isActive eventOut emitter.
sfrotation | rotation_changed_
| rotation_changed eventOut value.
sfrotation_emitter | rotation_changed_emitter_
| rotation_changed eventOut emitter.
sfvec3f | track_point_changed_
| trackPoint_changed eventOut.
sfvec3f_emitter | track_point_changed_emitter_
| trackPoint_changed eventOut emitter.
sfvec3f | activationPoint
| The start point of a drag operation.
sfvec3f | centerPoint
| Center point.
mat4f | modelview
| Modelview matrix.

## Friends

class | sphere_sensor_class
| Class object for SphereSensor instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::sphere_sensor_node::sphere_sensor_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::sphere_sensor_node::~sphere_sensor_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

sphere_sensor_node * openvrml::vrml97_node::sphere_sensor_node::to_sphere_sensor | ( |  | ) | const`[virtual]`

Cast to a sphere_sensor_node.

Returns:
  a pointer to the node.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::sphere_sensor_node::activate | ( | double | timestamp,
|  | bool | isActive,
|  | double * | p
| ) |

Activate or deactivate the sphere_sensor_node.

Activating a drag sensor means that the pointing device button has been depressed and a drag operation has been initiated. The sensor is deactivated when the button is released at the end of the operation.

Parameters:

  | timestamp | the current time.
  | isActive | `true` if the drag operation is in progress; `false` otherwise.
  | p | the pointing device position.

bool openvrml::vrml97_node::sphere_sensor_node::isEnabled | ( |  | ) | const throw ()

Determine whether the SphereSensor is enabled.

Returns:
  `true` if the SphereSensor is enabled; `false` otherwise.

void openvrml::vrml97_node::sphere_sensor_node::do_render_child | ( | openvrml::viewer & | viewer,
|  | rendering_context | context
| ) | `[private, virtual]`

Render the node.

Parameters:

  | viewer | a Viewer.
  | context | a rendering context.

Reimplemented from openvrml::child_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::sphere_sensor_node::sphere_sensor_class`[friend]`

| Class object for SphereSensor instances.

## Member Data Documentation

exposedfield< sfbool > openvrml::vrml97_node::sphere_sensor_node::auto_offset_ `[private]`

| autoOffset exposedField.

exposedfield< sfbool > openvrml::vrml97_node::sphere_sensor_node::enabled_ `[private]`

| enabled exposedField.

exposedfield< sfrotation > openvrml::vrml97_node::sphere_sensor_node::offset_ `[private]`

| offset exposedField.

sfbool openvrml::vrml97_node::sphere_sensor_node::is_active_ `[private]`

| isActive eventOut value.

sfbool_emitter openvrml::vrml97_node::sphere_sensor_node::is_active_emitter_ `[private]`

| isActive eventOut emitter.

sfrotation openvrml::vrml97_node::sphere_sensor_node::rotation_changed_ `[private]`

| rotation_changed eventOut value.

sfrotation_emitter openvrml::vrml97_node::sphere_sensor_node::rotation_changed_emitter_ `[private]`

| rotation_changed eventOut emitter.

sfvec3f openvrml::vrml97_node::sphere_sensor_node::track_point_changed_ `[private]`

| trackPoint_changed eventOut.

sfvec3f_emitter openvrml::vrml97_node::sphere_sensor_node::track_point_changed_emitter_ `[private]`

| trackPoint_changed eventOut emitter.

sfvec3f openvrml::vrml97_node::sphere_sensor_node::activationPoint `[private]`

| The start point of a drag operation.

sfvec3f openvrml::vrml97_node::sphere_sensor_node::centerPoint `[private]`

| Center point.

mat4f openvrml::vrml97_node::sphere_sensor_node::modelview `[private]`

| Modelview matrix.